Bug 103055 - kernel problem with gdb on uniprocessor machines
kernel problem with gdb on uniprocessor machines
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
3.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Anderson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-25 22:37 EDT by Elena Zannoni
Modified: 2007-11-30 17:06 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-19 15:35:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Elena Zannoni 2003-08-25 22:37:27 EDT
Description of problem:

I see the gdb testsuite results change with two different versions of the same
kernel, same nightly build. The only difference I can see is that one machine is
SMP and the other is not.
Have a look at the test results for gdb-any on x86 in 
http://stp.boston.redhat.com

The following run has Linux 2.4.21-1.1931.2.399.entsmp and produces 31 failures:
http://stp.boston.redhat.com/cgi-bin/stp.cgi?command=display&modulename=stp&on=2831

This one instead has Linux 2.4.21-1.1931.2.399.ent and produces 58 failures.
http://stp.boston.redhat.com/cgi-bin/stp.cgi?command=display&modulename=stp&on=2848

They are from the same nightly build, the only different thing is the kernel.

The new failures are thread related, in gdb.threads/schedlock.exp.
The inferior program runs away, like this, the other failures are cascade
failures from this one problem.


(gdb) step
42		(*myp) ++;
(gdb) PASS: gdb.threads/schedlock.exp: step to increment (unlocked 6)
step

Program exited normally.
(gdb) step
The program is not being run.
(gdb) FAIL: gdb.threads/schedlock.exp: step to increment (unlocked 7)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Dave Anderson 2003-10-02 08:25:38 EDT
Roland's lost request:

------- Additional Comments From roland@redhat.com  2003-09-30 16:42 -------
This could be a userland bug triggered by timing differences rather than a
kernel bug.  We need to see at low level what is going wrong.  Have you
reproduced this problem by hand, outside the STP framework?  Have you tried the
failing gdb run under strace to watch its ptrace calls?

Comment 2 Ernie Petrides 2005-10-05 19:30:40 EDT
This is an ancient bug.  Can the problem still be reproduced on RHEL3 U6?
Comment 4 RHEL Product and Program Management 2007-10-19 15:35:08 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
 
For more information of the RHEL errata support policy, please visit:
http://www.redhat.com/security/updates/errata/
 
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.